/**
 * @remarks
 * Header integration targets.
 *
 * @public
 */
export type HeaderTargetId = 'header-start' | 'header' | 'header-end';
/**
 * @remarks
 * Nav integration targets.
 *
 * @public
 */
export type NavTargetId = 'nav-start' | 'nav' | 'nav-end';
/**
 * @remarks
 * Side nav integration targets.
 *
 * @public
 */
export type SideNavTargetId = 'side-nav-start' | 'side-nav' | 'side-nav-end';
/**
 * @remarks
 * Package element integration targets.
 *
 * @public
 */
export type ElementTargetId = HeaderTargetId | NavTargetId | SideNavTargetId;
/**
 * @remarks
 * Package style integration targets.
 *
 * @public
 */
export type StyleTargetId = 'header';
//# sourceMappingURL=targetId.d.ts.map